package com.unibuy.smartdevice.tools;

import android.app.Activity;
import android.content.Context;
import android.view.View;

import com.google.android.material.snackbar.Snackbar;
import com.unibuy.smartdevice.HandlerAbstract;
import com.unibuy.smartdevice.exception.ErrorCode;
import com.unibuy.smartdevice.exception.Logs;

public class ToastHandlerMain extends HandlerMain {
    private Tools tools;

    public Tools getTools() {
        return tools;
    }

    public ToastHandlerMain(Context context, Logs logs) {
        super(context, logs);
        this.tools = new Tools(context, logs);
    }

    @Override
    protected void execute(Context context, int commandCode, String message) {
        boolean isSnackbar = false;
        if (message != null && message.startsWith("@")) {
            isSnackbar = true;
            message = message.substring(1);
        }

        getLogs().info(message);
        if (isSnackbar) {
            getTools().snackbarLongShow(message);
        } else {
            getTools().toastShortShow(getLogs().getMessage());
        }
        getLogs().clearMessage();
    }

//    @Override
//    protected void exception(Context context, ErrorCode errorCode, String message) {
//        boolean isSnackbar = false;
//        if (message != null && message.startsWith("@")) {
//            isSnackbar = true;
//            message = message.substring(1);
//        }
//
//        message = message.isEmpty()?message:":"+message;
//        getLogs().debug("("+errorCode.getCode()+")"+errorCode.getMessage()+message);
//        if (isSnackbar) {
//            getTools().snackbarShortShow(message);
//        } else {
//            getTools().toastShortShow(getLogs().getMessage());
//        }
//        getLogs().clearMessage();
//    }
}
